Forum HebFree

Pour que nos échanges servent à tous

Vous n'êtes pas connecté(e).

#1 11.09.2017 18:59:37

aarg38.hebfree.org
Membre
Lieu : France
Inscription : 17.03.2016
Messages : 9
Site Web

vers une version plus récente de PHP ?

Bonjour,

Notre site internet est sous joomla. J'aimerai savoir si il est prévu un jour de passer sous une version de php plus récente.

Merci d'avance pour les infos

Le secrétaire AARG38

Hors ligne

#2 11.09.2017 19:07:31

hebfree
Administrateur
Lieu : France
Inscription : 24.02.2016
Messages : 166
Site Web

Re : vers une version plus récente de PHP ?

Bonjour,

La version de php actuelle est la version stable de la distribution debian actuellement installée.
Une mise à jour système sera faite d'ici la fin de l'année, probablement au mois d'octobre ou début novembre, ce qui conduira automatiquement à la mise à jour de php en version 7.


Xavier / Administrateur HebFree
Préférez vos demandes via le forum que par e-mail smile

Je vous souhaite tout le meilleur sur HebFree

Hors ligne

#3 06.10.2017 23:36:22

hebfree
Administrateur
Lieu : France
Inscription : 24.02.2016
Messages : 166
Site Web

Re : vers une version plus récente de PHP ?

Bonjour,

La mise à jour du système d'exploitation du serveur est prévue le dimanche 08.10.2017 entre 18:00 et 24:00. Durant cette période, diverses interruptions des services sont à prévoir.
Suite à cette mise à jour de nombreux changements auront fait leur apparition. Le principal sera la version de php qui passera de la version 5 à la version 7. Ceci implique d'éventuelles modifications du code pour les sites qui ne sont pas régulièrement mis à jour ou qui ne suivent pas les évolutions du langage.

Un résumé de la mise à jour sera proposé une fois la mise à jour terminée.

Merci pour votre compréhension.


Xavier / Administrateur HebFree
Préférez vos demandes via le forum que par e-mail smile

Je vous souhaite tout le meilleur sur HebFree

Hors ligne

#4 08.10.2017 19:54:56

hebfree
Administrateur
Lieu : France
Inscription : 24.02.2016
Messages : 166
Site Web

Re : vers une version plus récente de PHP ?

La migration du serveur est maintenant terminée.
Parmi les nombreux changements que cela engeandre, deux vous concerne directement en tant qu'utilisateur final des services d'hébergement.

PHP passe de la version 5.6 à la version 7.
PHP est le module du serveur web qui gère l'interprétation du code de vos pages dynamiques.
En passant à la version 7, de nombreuses fonctions ont été décrétées comme n'étant plus en norme avec le standard PHP, ont été remplacées ou tout simplement supprimées.
Si votre site/vos pages n'ont pas été mises à jours depuis plusieurs années, vous rencontrerez certainement des erreurs lors de la navigation sur votre site. Il vous sera donc nécessaire de mettre à jour votre site. Si vous utilisez un CMS type Joomla, Wordpress, un forum ou d'autres gestionnaire de contenu, ils proposent sans doute déjà une version mise à jour de leur produit. Si vous êtes seul à programmer vos pages, il vous faudra surement revoir la totalité du code.

Le système de base de données passe de Mysql 5.6 à MariaDB 10.1.
Ceci ne devrait normalement pas influancer le fonctionnement de votre base de données, car MariaDB est une variante de Mysql. Toutefois, si vous utilisez des fonctions spécifiques avancées dans votre gestionnaire de bases de données, certaines choses pourraient ne plus fonctionner ou nécessiteraient quelques adaptations.
Avec PHP, il est maintenant nécessaire d'utiliser le gestionnaires PDO pour vous connecter et gérer votre base de données. Cela permet une meilleure gestion mémoire, des procédures et simplifie grandement la compréhension et l'architecture/l'organisation de vos programmes.

N'hésitez pas à nous signaler tout problème afin que nous puissions vous aider dans sa résolution.

Merci


Xavier / Administrateur HebFree
Préférez vos demandes via le forum que par e-mail smile

Je vous souhaite tout le meilleur sur HebFree

Hors ligne

#5 09.10.2017 21:23:48

aarg38.hebfree.org
Membre
Lieu : France
Inscription : 17.03.2016
Messages : 9
Site Web

Re : vers une version plus récente de PHP ?

Bonsoir,

Depuis hier notre site internet n'est plus fonctionnel.

Nous avons une erreur 0 : Call to undefined function eregi()

Comment résoudre celle ci ?

Merci d'avance

Nicolas

Hors ligne

#6 09.10.2017 21:31:14

gicepe08.hebfree.org
Invité

Re : vers une version plus récente de PHP ?

Bon jour,

Je ne sais pas si c'est suite à ce changement mais depuis ce matin je ne peu plus accéder à ma boite mail hebfree.

voilà ce que j'obtiens : ERROR: Wrong 'suhosin.session.encrypt' option value and it wasn't possible to set it to required value (Off). Check your PHP configuration (including php_admin_flag).

Merci de votre suivi.

Cordialement

Gicépé08

#7 09.10.2017 22:06:06

hebfree
Administrateur
Lieu : France
Inscription : 24.02.2016
Messages : 166
Site Web

Re : vers une version plus récente de PHP ?

Merci pour l'information, c'est maintenant corrigé.
Il s'agit de la nouvelle version du module de sécurité suhosin qui a du être mis à jour pour php7.

A disposition pour régler d'autres éventuels problèmes.


Xavier / Administrateur HebFree
Préférez vos demandes via le forum que par e-mail smile

Je vous souhaite tout le meilleur sur HebFree

Hors ligne

#8 10.10.2017 07:11:53

aarg38.hebfree.org
Membre
Lieu : France
Inscription : 17.03.2016
Messages : 9
Site Web

Re : vers une version plus récente de PHP ?

Bonjour,

Pour notre site il n'y a pas d'amélioration...

Hors ligne

#9 10.10.2017 07:48:19

hebfree
Administrateur
Lieu : France
Inscription : 24.02.2016
Messages : 166
Site Web

Re : vers une version plus récente de PHP ?

Bonjour,

La fonction eregi tout comme ereg était déjà obsolette en php5, elle a tout simplement été supprimée dans php7. Il faut maintenant utiliser preg_match, preg_match_all à la place. Le fonctionnement est très proche et plus performant.


Xavier / Administrateur HebFree
Préférez vos demandes via le forum que par e-mail smile

Je vous souhaite tout le meilleur sur HebFree

Hors ligne

#10 10.10.2017 08:06:51

aarg38.hebfree.org
Membre
Lieu : France
Inscription : 17.03.2016
Messages : 9
Site Web

Re : vers une version plus récente de PHP ?

Ok c'est bien ce que j'avais vu mais dans joomla je ne trouve pas ou c'est utilisé.

Je vais pour repartir de 0 car je ne sais pas si c'est lié au template ou à autre chose.

Hors ligne

#11 10.10.2017 08:27:18

hebfree
Administrateur
Lieu : France
Inscription : 24.02.2016
Messages : 166
Site Web

Re : vers une version plus récente de PHP ?

Voyez s'il n'y a pas une mise à jour de joomla ou du module/template que vous utilisez. S'il n'y a pas de mise à jour du template, il faudrait songer à en changer car ça signifie que son créateur n'a pas mis à jours depuis plus de 2 ou 3 ans.


Xavier / Administrateur HebFree
Préférez vos demandes via le forum que par e-mail smile

Je vous souhaite tout le meilleur sur HebFree

Hors ligne

#12 10.10.2017 21:28:09

gicepe08.hebfree.org
Invité

Re : vers une version plus récente de PHP ?

hebfree a écrit :

Merci pour l'information, c'est maintenant corrigé.
Il s'agit de la nouvelle version du module de sécurité suhosin qui a du être mis à jour pour php7.

A disposition pour régler d'autres éventuels problèmes.

J'ai pu retourner sur ma boite mail, merci pour l'intervention mais ce soir l'accès est à nouveau bloqué.

Cordialement

Gicépé08

#13 10.10.2017 21:48:30

hebfree
Administrateur
Lieu : France
Inscription : 24.02.2016
Messages : 166
Site Web

Re : vers une version plus récente de PHP ?

De mon côté tout fonctionne à ce niveau. Que constatez-vous ?


Xavier / Administrateur HebFree
Préférez vos demandes via le forum que par e-mail smile

Je vous souhaite tout le meilleur sur HebFree

Hors ligne

#14 10.10.2017 22:29:37

hebfree
Administrateur
Lieu : France
Inscription : 24.02.2016
Messages : 166
Site Web

Re : vers une version plus récente de PHP ?

Je viens d'ouvrir un nouveau sujet concernant la mise à jour du site HebFree, il se trouve ici http://forum.hebfree.org/viewtopic.php?id=56

Merci de l'utiliser si vous rencontrez des problèmes liés à cette nouvelle version du site, et non pour les problèmes rencontrés suite à la migration du serveur.


Xavier / Administrateur HebFree
Préférez vos demandes via le forum que par e-mail smile

Je vous souhaite tout le meilleur sur HebFree

Hors ligne

#15 09.10.2018 19:17:29

sntm.hebfree.org
Membre
Lieu : France
Inscription : 14.06.2017
Messages : 1
Site Web

Re : vers une version plus récente de PHP ?

Nous utilisons Joomla pour notre site. Dans la partie administration, il est indiqué que "Votre version de PHP, 7.0.30 ne sera bientôt plus prise en charge (PHP 7.x est recommandé)".

Est ce qu'il est prévu une telle mise à jour prochainement sur le serveur ? Avons nous une action à mener de notre coté ?

Hors ligne

#16 07.12.2018 13:51:09

hebfree
Administrateur
Lieu : France
Inscription : 24.02.2016
Messages : 166
Site Web

Re : vers une version plus récente de PHP ?

Bonjour,

J'ai effectué ce matin la mise à jour vers php 7.2.

Meilleures salutations.


Xavier / Administrateur HebFree
Préférez vos demandes via le forum que par e-mail smile

Je vous souhaite tout le meilleur sur HebFree

Hors ligne

#17 07.12.2018 18:31:50

prepa-marseille.heb3.org
Membre
Lieu : France
Inscription : 08.10.2018
Messages : 5
Site Web

Re : vers une version plus récente de PHP ?

Bonjour,

est-il possible (je suis novice, donc pas d'idée) de rester sous PHP 7.0, voir 7.1 maxi ?
Il me semble que c'est possible avec un htaccess mais je ne sais pas trop ce que c'est ni comment faire ?

Cela car j'ai un message d'erreur qui est est apparu, visiblement lié à une version trop récente de PHP.

Warning: count(): Parameter must be an array or an object that implements Countable in /home/sites/heb3.org/prepa-marseille/public_html/libraries/cms/application/cms.php on line 471

Merci

Sébastien

Hors ligne

#18 07.12.2018 19:25:03

hebfree
Administrateur
Lieu : France
Inscription : 24.02.2016
Messages : 166
Site Web

Re : vers une version plus récente de PHP ?

Bonjour,

La version 7.0 n'étant plus supportée depuis le 3 décembre, il n'est pas possible de la conserver.
Je suis passé directement à la v7.2, la 7.3 sera prochainement disponible, mais pas installée sur nos service pour le moment.
il n'est pas possible avec la configuration actuelle de posséder plusieurs version en paralèle. Cela demande une réorganisation complète du serveur, ce qui n'est pas souhaité.

Le message d'erreur que vous obtenez vous indique que vous appliquez la fonction count sur un objet/une variable qui ne peut pas être comptée. Vous avez maintenant la fonction is_countable() pour savoir si votre objet/variable peut être comptée.
Donc, il vous suffit juste de corriger votre appel (vérifier la variable passée dans la fonction count) ou la supprimer, car visiblement elle ne sert à rien, elle ne peut de toutes façons pas marcher si vous ne lui passez pas un paramètre comptable, ou vous retourne 0.

Tenez-moi au courant.


Xavier / Administrateur HebFree
Préférez vos demandes via le forum que par e-mail smile

Je vous souhaite tout le meilleur sur HebFree

Hors ligne

#19 08.12.2018 11:04:22

prepa-marseille.heb3.org
Membre
Lieu : France
Inscription : 08.10.2018
Messages : 5
Site Web

Re : vers une version plus récente de PHP ?

Bonjour,

merci pour votre réponse hyper rapide.

Je ne comprends pas tous les termes de votre réponse mais je vais creuser.
L'erreur n'est pas trop pénalisante pour la navigation.

Je vais me laisser un peu de temps ...

Sébastien

Hors ligne

#20 08.12.2018 11:47:57

hebfree
Administrateur
Lieu : France
Inscription : 24.02.2016
Messages : 166
Site Web

Re : vers une version plus récente de PHP ?

une solution temporaire est de masquer l'erreur.
pour cela vous ouvrez le fichier mentionné dans l'erreur qui s'affiche, à la ligne indiquée. vous mettez un @ devant le count, ce qui vous donnera @count(XX)
vous sauvegardez et le tour est joué.


Xavier / Administrateur HebFree
Préférez vos demandes via le forum que par e-mail smile

Je vous souhaite tout le meilleur sur HebFree

Hors ligne

#21 08.12.2018 11:53:41

prepa-marseille.heb3.org
Membre
Lieu : France
Inscription : 08.10.2018
Messages : 5
Site Web

Re : vers une version plus récente de PHP ?

Super,

effectivement l'erreur ne s'affiche plus (même si j'ai bien compris qu'elle persiste).

C'est pas "correct" mais pour le moment ça me va bien.

Encore merci beaucoup.

Sébastien

Hors ligne

Pied de page des forums